#include <stdio.h>
#include <math.h>
int max(int a,int b)
{
	if (a > b) return a;
	else return b;
}
main()
{
	int n,l,r,i,j,x,am=0,bm=0;
	scanf("%d",&n);
	int a[n],b[n];
	for (i = 0; i < n; i++)
	{
		scanf("%d",&a[i]);
	}
	for (i = 0; i < n ;i++)
	{
		scanf("%d",&b[i]);
	}
	for(l = 0;l < n;l++)
	{
		for(r = l + 1;r < n;r++)
		{
			am = max(am,a[l]^a[r]);
		}
	}
	for(l = 0;l < n;l++)
	{
		for(r = l + 1;r < n;r++)
		{
			bm = max(bm,b[l] && b[r]);
		}
	}
	printf("%d",am*bm);
}